YSTest: YSLib::Components::View Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
YSLib::Components::View Class Reference

部件视图。 More...

`#include <ywgtview.h>`

Collaboration diagram for YSLib::Components::View:
[legend]

## Public Member Functions

| View (const Rect &r={})
| 构造：使用指定边界、前景色和背景色。
| View (const View &v)
| View (View &&v)
virtual View * | Clone () const
virtual | ~View ()
View & | operator= (const View &v)
| 复制赋值：仅可视状态。
View & | operator= (View &&v)
| 转移赋值：仅可视状态。
bool | IsVisible () const ynothrow
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
const Point & | GetLocation () const ynothrow
const Size & | GetSize () const ynothrow
Point & | GetLocationRef () ynothrow
Size & | GetSizeRef () ynothrow
void | SetVisible (bool)
void | SetX (SPos _tempArgName)
void | SetY (SPos _tempArgName)
void | SetWidth (SDst _tempArgName)
void | SetHeight (SDst _tempArgName)
virtual void | SetLocation (const Point &_tempArgName)
virtual void | SetSize (const Size &_tempArgName)
void | SetLocation (SPos x, SPos y)
void | SetSize (SDst w, SDst h)

## Public Attributes

IWidget * | ContainerPtr
| 从属的部件容器的指针。
IWidget * | DependencyPtr
| 从属的部件指针。
IWidget * | FocusingPtr
| 焦点指针。

## Private Attributes

Visual | visual
| 当前可视状态。

## Detailed Description

部件视图。

Since
  build 259

Definition at line 140 of file ywgtview.h.

## Constructor & Destructor Documentation

YSLib::Components::View::View | ( | const Rect & | r = `{}` | ) |

inline

构造：使用指定边界、前景色和背景色。

Since
  build 337

Definition at line 162 of file ywgtview.h.

YSLib::Components::View::View | ( | const View & | v | ) |

inline

Definition at line 165 of file ywgtview.h.

YSLib::Components::View::View | ( | View && | v | ) |

inline

Definition at line 168 of file ywgtview.h.

References yunseq.

virtual YSLib::Components::View::~View | ( |  | ) |

inlinevirtual

Definition at line 176 of file ywgtview.h.

## Member Function Documentation

virtual View* YSLib::Components::View::Clone | ( |  | ) | const

inlinevirtual

Definition at line 175 of file ywgtview.h.

SDst YSLib::Components::View::GetHeight | ( |  | ) | const

inline

Definition at line 205 of file ywgtview.h.

const Point& YSLib::Components::View::GetLocation | ( |  | ) | const

inline

Definition at line 206 of file ywgtview.h.

Referenced by YSLib::Components::GetLocationOf().

Here is the caller graph for this function:

Point& YSLib::Components::View::GetLocationRef | ( |  | ) |

inline

Since
  build 307

Definition at line 209 of file ywgtview.h.

const Size& YSLib::Components::View::GetSize | ( |  | ) | const

inline

Definition at line 207 of file ywgtview.h.

Referenced by YSLib::Components::GetSizeOf().

Here is the caller graph for this function:

Size& YSLib::Components::View::GetSizeRef | ( |  | ) |

inline

Since
  build 307

Definition at line 211 of file ywgtview.h.

SDst YSLib::Components::View::GetWidth | ( |  | ) | const

inline

Definition at line 204 of file ywgtview.h.

SPos YSLib::Components::View::GetX | ( |  | ) | const

inline

Definition at line 202 of file ywgtview.h.

SPos YSLib::Components::View::GetY | ( |  | ) | const

inline

Definition at line 203 of file ywgtview.h.

bool View::IsVisible | ( |  | ) | const

Definition at line 43 of file ywgtview.cpp.

View& YSLib::Components::View::operator= | ( | const View & | v | ) |

inline

复制赋值：仅可视状态。

Since
  build 295

Definition at line 183 of file ywgtview.h.

View& YSLib::Components::View::operator= | ( | View && | v | ) |

inline

转移赋值：仅可视状态。

Since
  build 295

Definition at line 193 of file ywgtview.h.

void YSLib::Components::View::SetHeight | ( | SDst | _tempArgName | ) |

inline

Definition at line 218 of file ywgtview.h.

virtual void YSLib::Components::View::SetLocation | ( | const Point & | _tempArgName | ) |

inlinevirtual

Definition at line 219 of file ywgtview.h.

void YSLib::Components::View::SetLocation | ( | SPos | x,
|  | SPos | y
| ) |  |

inline

Definition at line 221 of file ywgtview.h.

virtual void YSLib::Components::View::SetSize | ( | const Size & | _tempArgName | ) |

inlinevirtual

Definition at line 220 of file ywgtview.h.

void YSLib::Components::View::SetSize | ( | SDst | w,
|  | SDst | h
| ) |  |

inline

Definition at line 223 of file ywgtview.h.

void View::SetVisible | ( | bool | b | ) |

Definition at line 50 of file ywgtview.cpp.

Referenced by YSLib::Components::SetVisibleOf().

Here is the caller graph for this function:

void YSLib::Components::View::SetWidth | ( | SDst | _tempArgName | ) |

inline

Definition at line 217 of file ywgtview.h.

void YSLib::Components::View::SetX | ( | SPos | _tempArgName | ) |

inline

Definition at line 215 of file ywgtview.h.

void YSLib::Components::View::SetY | ( | SPos | _tempArgName | ) |

inline

Definition at line 216 of file ywgtview.h.

## Member Data Documentation

IWidget* YSLib::Components::View::ContainerPtr

mutable

从属的部件容器的指针。

Since
  build 375

Definition at line 148 of file ywgtview.h.

Referenced by YSLib::Components::FetchContainerPtr().

IWidget* YSLib::Components::View::DependencyPtr

mutable

从属的部件指针。

逻辑依赖的部件指针，用于提供边界、容器和焦点以外属性的默认值。

Definition at line 154 of file ywgtview.h.

IWidget* YSLib::Components::View::FocusingPtr

mutable

焦点指针。

Definition at line 155 of file ywgtview.h.

Referenced by YSLib::Components::FetchFocusingPtr().

Visual YSLib::Components::View::visual

private

当前可视状态。

Definition at line 143 of file ywgtview.h.

The documentation for this class was generated from the following files:

- ywgtview.h
- ywgtview.cpp